Orxonox: mingw_release/src/orxonox/ToluaBindOrxonox.cc File Reference

# ToluaBindOrxonox.cc File Reference

`#include <stdlib.h>`
`#include <string.h>`
`#include <tolua/tolua++.h>`
`#include "ToluaBindOrxonox.h"`
`#include "orxonox/LevelManager.h"`
`#include "orxonox/gui/GUIManager.h"`
`#include "orxonox/objects/pickup/BaseItem.h"`
`#include "orxonox/objects/pickup/PickupInventory.h"`
`#include "orxonox/objects/quest/QuestDescription.h"`
`#include "orxonox/objects/quest/QuestManager.h"`

## Functions

static int | tolua_get_orxonox__HintContainer_description_ptr (lua_State *tolua_S)
static int | tolua_get_orxonox__HintContainer_next_ptr (lua_State *tolua_S)
static int | tolua_get_orxonox__QuestContainer_description_ptr (lua_State *tolua_S)
static int | tolua_get_orxonox__QuestContainer_hint_ptr (lua_State *tolua_S)
static int | tolua_get_orxonox__QuestContainer_next_ptr (lua_State *tolua_S)
static int | tolua_get_orxonox__QuestContainer_status (lua_State *tolua_S)
static int | tolua_get_orxonox__QuestContainer_subQuests_ptr (lua_State *tolua_S)
int | tolua_Orxonox_open (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_BaseItem_getGUIText00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_GUIManager_getInstance00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_GUIManager_getLevelList00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_LevelManager_getDefaultLevel00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_LevelManager_getInstance00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_LevelManager_setDefaultLevel00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_clearInventory00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_getCurrentUsableIndex00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_getEquipmentCount00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_getEquipmentItem00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_getImageForItem00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_getPassiveCount00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_getPassiveItem00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_getSingleton00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_getUsableCount00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_getUsableItem00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_isCurrentUsable00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_selectUsable00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_toggleInventory00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_PickupInventory_updateTabs00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_QuestDescription_getDescription00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_QuestDescription_getTitle00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_QuestManager_getInstance00 (lua_State *tolua_S)
static int | tolua_Orxonox_orxonox_QuestManager_getQuestTree00 (lua_State *tolua_S)
static void | tolua_reg_types (lua_State *tolua_S)
static int | tolua_set_orxonox__HintContainer_next_ptr (lua_State *tolua_S)
static int | tolua_set_orxonox__QuestContainer_hint_ptr (lua_State *tolua_S)
static int | tolua_set_orxonox__QuestContainer_next_ptr (lua_State *tolua_S)
static int | tolua_set_orxonox__QuestContainer_status (lua_State *tolua_S)
static int | tolua_set_orxonox__QuestContainer_subQuests_ptr (lua_State *tolua_S)

## Function Documentation

static int tolua_get_orxonox__HintContainer_description_ptr | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_pushusertype(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_get_orxonox__HintContainer_next_ptr | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_pushusertype(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_get_orxonox__QuestContainer_description_ptr | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_pushusertype(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_get_orxonox__QuestContainer_hint_ptr | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_pushusertype(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_get_orxonox__QuestContainer_next_ptr | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_pushusertype(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_get_orxonox__QuestContainer_status | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_pushcppstring, and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_get_orxonox__QuestContainer_subQuests_ptr | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_pushusertype(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().

int tolua_Orxonox_open | ( | lua_State * | tolua_S | ) |

References tolua_beginmodule(), tolua_cclass(), tolua_endmodule(), tolua_function(), tolua_get_orxonox__HintContainer_description_ptr(), tolua_get_orxonox__HintContainer_next_ptr(), tolua_get_orxonox__QuestContainer_description_ptr(), tolua_get_orxonox__QuestContainer_hint_ptr(), tolua_get_orxonox__QuestContainer_next_ptr(), tolua_get_orxonox__QuestContainer_status(), tolua_get_orxonox__QuestContainer_subQuests_ptr(), tolua_module(), tolua_open(), tolua_Orxonox_orxonox_BaseItem_getGUIText00(), tolua_Orxonox_orxonox_GUIManager_getInstance00(), tolua_Orxonox_orxonox_GUIManager_getLevelList00(), tolua_Orxonox_orxonox_LevelManager_getDefaultLevel00(), tolua_Orxonox_orxonox_LevelManager_getInstance00(), tolua_Orxonox_orxonox_LevelManager_setDefaultLevel00(), tolua_Orxonox_orxonox_PickupInventory_clearInventory00(), tolua_Orxonox_orxonox_PickupInventory_getCurrentUsableIndex00(), tolua_Orxonox_orxonox_PickupInventory_getEquipmentCount00(), tolua_Orxonox_orxonox_PickupInventory_getEquipmentItem00(), tolua_Orxonox_orxonox_PickupInventory_getImageForItem00(), tolua_Orxonox_orxonox_PickupInventory_getPassiveCount00(), tolua_Orxonox_orxonox_PickupInventory_getPassiveItem00(), tolua_Orxonox_orxonox_PickupInventory_getSingleton00(), tolua_Orxonox_orxonox_PickupInventory_getUsableCount00(), tolua_Orxonox_orxonox_PickupInventory_getUsableItem00(), tolua_Orxonox_orxonox_PickupInventory_isCurrentUsable00(), tolua_Orxonox_orxonox_PickupInventory_selectUsable00(), tolua_Orxonox_orxonox_PickupInventory_toggleInventory00(), tolua_Orxonox_orxonox_PickupInventory_updateTabs00(), tolua_Orxonox_orxonox_QuestDescription_getDescription00(), tolua_Orxonox_orxonox_QuestDescription_getTitle00(), tolua_Orxonox_orxonox_QuestManager_getInstance00(), tolua_Orxonox_orxonox_QuestManager_getQuestTree00(), tolua_reg_types(), tolua_set_orxonox__HintContainer_next_ptr(), tolua_set_orxonox__QuestContainer_hint_ptr(), tolua_set_orxonox__QuestContainer_next_ptr(), tolua_set_orxonox__QuestContainer_status(), tolua_set_orxonox__QuestContainer_subQuests_ptr(), and tolua_variable().

Referenced by orxonox::GUIManager::initialise().

static int tolua_Orxonox_orxonox_BaseItem_getGUIText00 | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_isnoobj(), tolua_isusertype(), tolua_pushcppstring, and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_GUIManager_getInstance00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::GUIManager::getInstance(), tolua_error(), tolua_isnoobj(), tolua_isusertable(), and tolua_pushusertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_GUIManager_getLevelList00 | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_isnoobj(), tolua_isusertype(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_LevelManager_getDefaultLevel00 | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_isnoobj(), tolua_isusertype(), tolua_pushcppstring, and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_LevelManager_getInstance00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::LevelManager::getInstance(), tolua_error(), tolua_isnoobj(), tolua_isusertable(), and tolua_pushusertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_LevelManager_setDefaultLevel00 | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_iscppstring, tolua_isnoobj(), tolua_isusertype(), tolua_pushcppstring, tolua_tocppstring, and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_clearInventory00 | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_isnoobj(), tolua_isusertype(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_getCurrentUsableIndex00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::PickupInventory::getCurrentUsableIndex(), tolua_error(), tolua_isnoobj(), tolua_isusertable(), and tolua_pushnumber().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_getEquipmentCount00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::PickupInventory::getEquipmentCount(), tolua_error(), tolua_isnoobj(), tolua_isusertable(), and tolua_pushnumber().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_getEquipmentItem00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::PickupInventory::getEquipmentItem(), tolua_error(), tolua_isnoobj(), tolua_isnumber(), tolua_isusertable(), tolua_pushusertype(), and tolua_tonumber().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_getImageForItem00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::PickupInventory::getImageForItem(), tolua_error(), tolua_isnoobj(), tolua_isusertable(), tolua_isusertype(), tolua_pushcppstring, and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_getPassiveCount00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::PickupInventory::getPassiveCount(), tolua_error(), tolua_isnoobj(), tolua_isusertable(), and tolua_pushnumber().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_getPassiveItem00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::PickupInventory::getPassiveItem(), tolua_error(), tolua_isnoobj(), tolua_isnumber(), tolua_isusertable(), tolua_pushusertype(), and tolua_tonumber().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_getSingleton00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::PickupInventory::getSingleton(), tolua_error(), tolua_isnoobj(), tolua_isusertable(), and tolua_pushusertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_getUsableCount00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::PickupInventory::getUsableCount(), tolua_error(), tolua_isnoobj(), tolua_isusertable(), and tolua_pushnumber().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_getUsableItem00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::PickupInventory::getUsableItem(), tolua_error(), tolua_isnoobj(), tolua_isnumber(), tolua_isusertable(), tolua_pushusertype(), and tolua_tonumber().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_isCurrentUsable00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::PickupInventory::isCurrentUsable(), tolua_error(), tolua_isnoobj(), tolua_isusertable(), tolua_isusertype(), tolua_pushboolean(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_selectUsable00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::PickupInventory::selectUsable(), tolua_error(), tolua_isnoobj(), tolua_isnumber(), tolua_isusertable(), and tolua_tonumber().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_toggleInventory00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::PickupInventory::toggleInventory(), tolua_error(), tolua_isnoobj(), and tolua_isusertable().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_PickupInventory_updateTabs00 | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_isnoobj(), tolua_isusertype(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_QuestDescription_getDescription00 | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_isnoobj(), tolua_isusertype(), tolua_pushcppstring, and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_QuestDescription_getTitle00 | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_isnoobj(), tolua_isusertype(), tolua_pushcppstring, and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_QuestManager_getInstance00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::QuestManager::getInstance(), tolua_error(), tolua_isnoobj(), tolua_isusertable(), and tolua_pushusertype().

Referenced by tolua_Orxonox_open().

static int tolua_Orxonox_orxonox_QuestManager_getQuestTree00 | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_iscppstring, tolua_isnoobj(), tolua_isusertype(), tolua_pushcppstring, tolua_pushusertype(), tolua_tocppstring, and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static void tolua_reg_types | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_usertype().

static int tolua_set_orxonox__HintContainer_next_ptr | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_isusertype(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_set_orxonox__QuestContainer_hint_ptr | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_isusertype(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_set_orxonox__QuestContainer_next_ptr | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_isusertype(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_set_orxonox__QuestContainer_status | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_iscppstring, tolua_tocppstring, and tolua_tousertype().

Referenced by tolua_Orxonox_open().

static int tolua_set_orxonox__QuestContainer_subQuests_ptr | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_isusertype(), and tolua_tousertype().

Referenced by tolua_Orxonox_open().